読者です 読者をやめる 読者になる 読者になる

IntelliJ IDEA向けrubyプラグインでRubyMotionアプリの開発をするのは無理

IntelliJ IDEAとその互換製品についての一般的な理解については

  • IDEAというJava向けのIDE製品が他のプログラミング言語環境もプラグインでサポートしていった結果派生製品にわかれた
  • IDEAにはフリー(支払いが)のコミュニティ版(CE)と有償ライセンス版=Ultimateのエディションがある
  • CEはいくつかの機能やウェブ開発向け、他の派生製品互換のプラグインをサポートしていない*1
  • RubyMineとIDEA向けrubyプラグインのコードベースは共通であり、リリースも同時である

といった具合なので通常ならUltimateのrubyプラグインでRubyMotionプロジェクトをサポートしているかも、と思ってしまいますが確認したところRubyMotionプロジェクトの新規作成、コード補完などをサポートしていません(通常のファイルシステム上にあるrubyファイルとして編集し、Rake経由で実行することはもちろんできます)。

Rails, RubyMotion — available via a plugin. と公式サイトに書いてありますが誤りでしょう。

で、どうしてよいのか全然わからなかったのでとりあえず以下のようにイシュートラッカーに登録しました。

RubyMotion support for IntelliJ IDEA ruby plug-in. : RUBY-13640

まとめ

年貢つらい